changeset 271:d32590df65ef

undo changes from ea0728d8cdc2 (GNU sed doesn't have a -E option)
author Abderrahim Kitouni <a.kitouni@gmail.com>
date Mon, 23 Nov 2009 18:58:40 +0100
parents 5790ef252511
children efd9bfad6c4b
files tests/test-empty-working-tree tests/test-empty-working-tree.out tests/test-hg-author tests/test-hg-branch tests/test-hg-tags tests/test-merge tests/test-octopus tests/test-outgoing tests/test-push tests/test-tree-decomposition tests/test-tree-decomposition.out
diffstat 11 files changed, 14 insertions(+), 22 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-empty-working-tree
+++ b/tests/test-empty-working-tree
@@ -24,7 +24,7 @@
 cd gitrepo
 git init | python -c "import sys; print sys.stdin.read().replace('$(dirname $(pwd))/', '')"
 
-git commit --allow-empty -m empty | sed -E 's/.*([0-9a-f]{7})[]:]/Commit \1/'
+git commit --allow-empty -m empty >/dev/null 2>/dev/null || echo "git commit error"
 
 cd ..
 mkdir gitrepo2
--- a/tests/test-empty-working-tree.out
+++ b/tests/test-empty-working-tree.out
@@ -1,6 +1,5 @@
 Initialized empty Git repository in gitrepo/.git/
 
-Commit 6782568 empty
 Initialized empty Git repository in gitrepo2/.git/
 
 importing Hg objects into Git
--- a/tests/test-hg-author
+++ b/tests/test-hg-author
@@ -26,7 +26,7 @@
 {
     GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
     GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
-    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    git commit "$@" >/dev/null 2>/dev/null || echo "git commit error"
     count=`expr $count + 1`
 }
 hgcommit()
--- a/tests/test-hg-branch
+++ b/tests/test-hg-branch
@@ -26,7 +26,7 @@
 {
     GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
     GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
-    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    git commit "$@" >/dev/null 2>/dev/null || echo "git commit error"
     count=`expr $count + 1`
 }
 hgcommit()
--- a/tests/test-hg-tags
+++ b/tests/test-hg-tags
@@ -26,7 +26,7 @@
 {
     GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
     GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
-    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    git commit "$@" >/dev/null 2>/dev/null || echo "git commit error"
     count=`expr $count + 1`
 }
 hgtag()
--- a/tests/test-merge
+++ b/tests/test-merge
@@ -48,7 +48,7 @@
 commit -m 'add gamma'
 
 # clean merge
-git merge beta | sed 's/\.{3}//'
+git merge beta
 
 cd ..
 mkdir gitrepo2
--- a/tests/test-octopus
+++ b/tests/test-octopus
@@ -53,7 +53,7 @@
 git add delta
 commit -m 'add delta'
 
-git merge branch1 branch2 | sed 's/\.{3}//'
+git merge branch1 branch2
 
 cd ..
 mkdir gitrepo2
--- a/tests/test-outgoing
+++ b/tests/test-outgoing
@@ -26,7 +26,7 @@
 {
     GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
     GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
-    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    git commit "$@" >/dev/null 2>/dev/null || echo "git commit error"
     count=`expr $count + 1`
 }
 hgcommit()
--- a/tests/test-push
+++ b/tests/test-push
@@ -26,7 +26,7 @@
 {
     GIT_AUTHOR_DATE="2007-01-01 00:00:$count +0000"
     GIT_COMMITTER_DATE="$GIT_AUTHOR_DATE"
-    git commit "$@" >/dev/null 2>/dev/null || echo "hg commit error"
+    git commit "$@" >/dev/null 2>/dev/null || echo "git commit error"
     count=`expr $count + 1`
 }
 hgcommit()
--- a/tests/test-tree-decomposition
+++ b/tests/test-tree-decomposition
@@ -36,11 +36,11 @@
 mkdir d1
 touch d1/f1 d1/f2
 git add d1/f1 d1/f2
-git commit -m initial | sed -E 's/.*([0-9a-f]{7})[]:]/Commit \1/'
+commit -m initial
 
 mkdir d2
 git mv d1/f2 d2/f2
-git commit -m 'rename' | sed -E 's/.*([0-9a-f]{7})[]:]/Commit \1/'
+commit -m 'rename'
 
 cd ..
 mkdir gitrepo2
--- a/tests/test-tree-decomposition.out
+++ b/tests/test-tree-decomposition.out
@@ -1,12 +1,5 @@
 Initialized empty Git repository in gitrepo/.git/
 
-Commit 60fd61f initial
- 0 files changed, 0 insertions(+), 0 deletions(-)
- create mode 100644 d1/f1
- create mode 100644 d1/f2
-Commit a2e8665 rename
- 1 files changed, 0 insertions(+), 0 deletions(-)
- rename {d1 => d2}/f2 (100%)
 Initialized empty Git repository in gitrepo2/.git/
 
 importing Hg objects into Git
@@ -24,14 +17,14 @@
 importing Hg objects into Git
 at: 0/2
 creating and sending data
-commit a2e8665d117167742ceb040f1669a73289d79ac8
+commit 7d84da95f2caf7a65833ae580fe5a08a0c3cb6b2
 Author: test <test@example.org>
-Date:   Mon Jan 1 00:00:00 2007 +0000
+Date:   Mon Jan 1 00:00:11 2007 +0000
 
     rename
 
-commit 60fd61fbaca983e6d0ee911668ef7547abbf720c
+commit 48e6424b6487f2a16e901f72fe52168b40278f5b
 Author: test <test@example.org>
-Date:   Mon Jan 1 00:00:00 2007 +0000
+Date:   Mon Jan 1 00:00:10 2007 +0000
 
     initial